RLEHISTO(1)

NAME
rlehisto - generate histogram of RLE image.

SYNOPSIS
rlehisto [ -b ] [ -c ] [ -t ] [ -h height ] [ -o outfile ] [ infile ]

DESCRIPTION
Rlehisto counts the pixel values in an RLE file, producing an RLE file graphing frequency of occurrence. The horizontal axis runs from pixel value 0 on the left to pixel value 255 on the right. The height indicates the number of pixels seen for each pixel value. Histograms are computed independently for each channel, scaled identically, and then overlaid.

The following options are available:

-b  Don't count the background pixel values when scaling the histogram. This is useful if most pixels are colored the background color, so that the interesting part of the histogram would be too small. This option is ignored if -c is specified.

-c  Output cumulative values instead of discrete values.

-t  Print the totals instead of generating the histogram as an RLE file.

-h  height Scale the output image to the specified height. The default is 256.

-o outfile
    Direct the output to outfile.

SEE ALSO
urt(1), RLE(5).

AUTHORS
Gregg Townsend, University of Arizona; Rod Bogart, University of Utah.